Extending Qt Creator Manual | VcsClientOptionsPageWidget

Extending Qt Creator Manual 4.5.2

# VcsClientOptionsPageWidget Class

(VcsBase::VcsClientOptionsPageWidget)

- List of all members, including inherited members

## Public Functions

| VcsClientOptionsPageWidget(QWidget *parent = 0)
virtual void | setSettings(const VcsBaseClientSettings &s) = 0
virtual VcsBaseClientSettings | settings() const = 0

## Member Function Documentation

### VcsClientOptionsPageWidget::VcsClientOptionsPageWidget(QWidget *parent = 0)

Default constructs an instance of VcsClientOptionsPageWidget.

### `[pure virtual]` void VcsClientOptionsPageWidget::setSettings(const VcsBaseClientSettings &s)

See also settings().

### `[pure virtual]` VcsBaseClientSettings VcsClientOptionsPageWidget::settings() const